<?
	include "config.php";

	if(ereg("([a-zA-Z0-9._-]+@([a-zA-Z0-9._-]+\.[a-zA-Z]{2,4}))",$_GET['mail'],$r)) {
		
		$mail = $r[1];

		if(ereg("([0-9A-Z]+)",$_GET['id'],$r)) {
			$id = $r[1];

			$db = new Database;
			$db->connect($cat_db_name);
		
			$res = $db->query("SELECT * FROM mail_tasks WHERE object='$mail' AND secret='$id'");	
			$db->query("DELETE FROM mail_tasks WHERE object='$mail'");	

			if(count($res) > 0) {
				$r = $res[0];

				if($r['operation'] == 1) {
					$res = $db->query("SELECT * FROM mails WHERE email='$mail'");
					if(count($res) > 0) {
						$db->query("UPDATE mails SET enable='1' AND tmark=NOW() WHERE email='$mail'");
					} else {
						$db->query("INSERT INTO mails VALUES (0,'$mail',NOW(),'1','1')");
					};
				};	

				if($r['operation'] == 2) {
					$res = $db->query("SELECT * FROM mails WHERE email='$mail'");
					if(count($res) > 0) {
						$db->query("UPDATE mails SET enable='0' AND tmark=NOW() WHERE email='$mail'");
					}; 
				};	
			
				notify('Операция подтверждена! Спасибо за использование наших сервисов!','index.html');		
			} else {
				notify('Операция не найдена! Попробуйте повторить подписку!','index.html');		
			};
		
			$db->disconnect();

		} else {
			notify('Ошибка в идентификаторе!','index.html');
		};

	} else {
		notify('Ошибка в адресе! Введенный Вами адрес некорректен!','index.html');
	};

?>
